[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpS_ISBLK

Is file a block device

## Declaration

Source position: bunxovlh.inc line 85

`function fpS_ISBLK(`
`m: TMode`
`):Boolean;`

## Description

FpS_ISBLK checks the file mode m to see whether the file is a block device file. If so it returns True.

## See also

FpFStat |  | Retrieve file information about a file descriptor.
FpS_ISLNK |  | Is file a symbolic link
FpS_ISREG |  | Is file a regular file
FpS_ISDIR |  | Is file a directory
FpS_ISCHR |  | Is file a character device
FpS_ISFIFO |  | Is file a FIFO
FpS_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014